import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;
/**
 * Write a description of class PapanSkor here.
 * 
 * @author Muhidin
 * @version 1.2 14-09-2008
 */
public class PapanSkor extends Actor
{
    
    public static final float FONT_SIZE = 48.0f;
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;
 //    private String text;   

     //* Create a score board with dummy result for testing.

    public PapanSkor()
    {
        this(90);
    }

    
     //Create a score board for the final result.
     
    public PapanSkor(int skor)
    {
        makeImage("Selesai", "Skor: ", skor);
    }


     // Make the score board image.

    private void makeImage(String title, String prefix, int score)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(0, 0, 0, 160));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(255, 255, 255, 100));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 60, 100);
        image.drawString(prefix + score, 60, 200);
        setImage(image);
    }
     
}
