import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.awt.Font;
import java.awt.Color;
/**
 * Write a description of class nilai here.
 * 
 * @author Muhidin
 * @version 1.2 14-09-2008
 */
public class nilai extends Actor
{
    /**
     * Act - do whatever the nilai wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int value = 0;
    private int target = 0;
    private String text;
    private int stringLength;

    public nilai()
    {
        this("");
    }

    public nilai(String prefix)
    {
        text = prefix;
        stringLength = (text.length() + 2) * 16;

        setImage(new GreenfootImage(stringLength, 24));
        GreenfootImage image = getImage();
        Font font = image.getFont();
        image.setFont(font.deriveFont(24.0F));  // use larger font
        
        updateImage();
    }
    
    public void act() {
        if(value < target) {
            value++;
            updateImage();
        }
        else if(value > target) {
            value--;
            updateImage();
        }
    }
    //membuat nilai bertambah
    public void tambah(int skor)
    {
        target += skor;
    }
    //membuat nilai dikali
    public void kali(int skor)
    {
        target *= skor;
    }

    public void kurang(int skor)
    {
        target -= skor;
    }

    public int getValue()
    {
        return value;
    }

    /**
     * Make the image
     * Bikin gambar atau masukan gambar sendiri
     */
    private void updateImage()
    {
        GreenfootImage image = getImage();
        image.clear();
        
       // image.setColor(Color.WHITE);
       // image.fillRect(20, 4, 24, 16);
        image.setColor(Color.RED);        
        
        image.drawString(text + value, 1, 18);

    }   

    
    
}
